# Room List - TapUI

If you are using UI implementation type, you can use the method below to open TapTalk.io's chat room list view.

{% tabs %}
{% tab title="Objective-C" %}

```csharp
#import <TapTalk/TapUIRoomListViewController.h>
#import <TapTalk/TapUI.h>

// Initialize TapTalk.io room list view controller here
TapUIRoomListViewController *roomListViewController = [[TapUI sharedInstance] roomListViewController]; 
UINavigationController *roomListNavigationController = [[UINavigationController alloc] initWithRootViewController:roomListViewController];
  
// You can choose to present or push view controller using this code
// Present room list view
[self presentViewController:roomListViewController animated:YES completion:^{
    //completion
}];
  
//  Push room list view
[self.navigationController pushViewController:roomListNavigationController animated:YES]; 
  
//Or you can add to your window root view controller
self.window.rootViewController = roomListNavigationController;
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
**Note:** You can get TapTalk.io current view controller or navigation controller to integrate to your current view controller by using [getCurrentTapTalkActiveViewController](/powertalk-chat-sdk-documentation/powertalk-ios/general.md#obtain-current-navigation-controller-in-tapui) method.
{% endhint %}

### Room List View Controller Lifecycle

If you need to do something in `TapUIRoomListViewController` view lifecycle, you can implement our `TapUIRoomListViewControllerLifecycleDelegate` in [Event Delegate - Room List Lifecycle Delegate](/powertalk-chat-sdk-documentation/powertalk-ios/event-delegate.md#tapuiroomlistviewcontrollerlifecycledelegate) section.<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.taptalk.io/powertalk-chat-sdk-documentation/powertalk-ios/room-list/room-list-tapui.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
